petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetIJacobianP

Sets the function that computes the Jacobian of F w.r.t. the parameters P where F(Udot,U,t) = G(U,P,t), as well as the location to store the matrix.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetIJacobianP(TS ts,Mat Amat,PetscErrorCode (*func)(TS,PetscReal,Vec,Vec,PetscReal,Mat,void*),void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - TS context obtained from TSCreate()
| Amat | - JacobianP matrix
| func | - function
| ctx | - [optional] user-defined function context

### Calling sequence of func

    func (TS ts,PetscReal t,Vec y,Mat A,void *ctx);

| t | - current timestep
| U | - input vector (current ODE solution)
| Udot | - time derivative of state vector
| shift | - shift to apply, see note below
| A | - output matrix
| ctx | - [optional] user-defined function context

### Notes

Amat has the same number of rows and the same row parallel layout as u, Amat has the same number of columns and parallel layout as p

### See Also

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages